Skip to main content
`Ctrl`+`K`

# PCISApplySchur

applies the Schur complement arising from the `MATIS` inside the `PCNN` preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISApplySchur(PC pc, Vec v, Vec vec1_B, Vec vec2_B, Vec vec1_D, Vec vec2_D)

## Input Parameters

- pc - preconditioner context

- v - vector to which the Schur complement is to be applied (it is NOT modified inside this function, UNLESS vec2_B is null)

- vec1_B - location to store the result of Schur complement applied to chunk

- vec2_B - workspace or `NULL`, `v` is used as workspace in that case

- vec1_D - work space

- vec2_D - work space

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISSetUseStiffnessScaling()`, `PCISSetSubdomainDiagonalScaling()`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainScalingFactor()`, `PCISApplyInvSchur()`, `PCISReset()`, `PCISInitialize()`

## Level

advanced

## Location

src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages